services:
  app:
    build:
      context: .
      dockerfile: Dockerfile
    restart: unless-stopped
    env_file:
      - .env
    networks:
      - coolify
    labels:
      - traefik.enable=true
      - traefik.http.routers.spomeniqr-wildcard.rule=HostRegexp(`^[a-z0-9-]+\.testbed\.mk$$`)
      - traefik.http.routers.spomeniqr-wildcard.entryPoints=http,https
      - traefik.http.routers.spomeniqr-wildcard.service=spomeniqr-svc
      - traefik.http.routers.spomeniqr-wildcard.tls=true
      - traefik.http.routers.spomeniqr-wildcard.tls.certresolver=letsencrypt
      - traefik.http.services.spomeniqr-svc.loadbalancer.server.port=3000
      - traefik.docker.network=coolify

networks:
  coolify:
    external: true
